#ifndef ANDROIDMANIFESTFILE_H_
#define ANDROIDMANIFESTFILE_H_

#include "filetarget.h"

class AndroidApplicationComponent;
class SharedLibrary;

/**
Metadata file for an Android application.
*/
class AndroidManifestFile: public FileTarget
{
private:
	SharedLibrary *native_lib;

public:
	AndroidManifestFile(Builder &, const AndroidApplicationComponent &);

	virtual const char *get_type() const { return "AndroidManifestFile"; }

	void set_native_library(SharedLibrary *);
	SharedLibrary *get_native_library() const { return native_lib; }
};

#endif
