#ifndef ANDROIDMANIFESTGENERATOR_H_
#define ANDROIDMANIFESTGENERATOR_H_

#include "internaltask.h"
#include "tool.h"

class AndroidManifestFile;

class AndroidManifestGenerator: public Tool
{
private:
	class Worker: public InternalTask::Worker
	{
	private:
		const AndroidManifestFile &manifest;

	public:
		Worker(const AndroidManifestFile &);

	private:
		virtual void main();
	};

public:
	AndroidManifestGenerator(Builder &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual Task *run(const Target &) const;
};

#endif
