#include "androidpackagefile.h"
#include "androidresourcebundle.h"
#include "component.h"
#include "sourcepackage.h"

using namespace std;

AndroidPackageFile::AndroidPackageFile(Builder &b, const Component &c, AndroidResourceBundle &resource_bundle, const list<FileTarget *> &other_files):
	FileTarget(b, c.get_package(), c.get_package().get_output_directory()/(c.get_name()+".apk"))
{
	component = &c;

	add_dependency(resource_bundle);
	for(list<FileTarget *>::const_iterator i=other_files.begin(); i!=other_files.end(); ++i)
		add_dependency(**i);
}
